Name: xfs
Version: 1.2.0
Release: %mkrel 1
Summary: Font server for X11
Group: System/Servers
Source0: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
Source1: xfs.init
Source2: xfs.sysconfig
Source3: xfs.config
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: xorg-x11-xfs
BuildRequires: libfs-devel >= 1.0.0
BuildRequires: libxfont-devel >= 1.2.8-2mdv
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-xtrans-devel >= 1.0.0
Requires(pre): rpm-helper 
Requires(post): rpm-helper 
Requires: fslsfonts
Requires: fstobdf
Requires: showfont
Requires(pre): x11-server-common
Requires: libxfont
Requires:  glibc >= 2.20

%define fontpath %{_sysconfdir}/X11/fontpath.d

%description
This is a font server for X11.  You can serve fonts to other X servers
remotely with this package, and the remote system will be able to use all
fonts installed on the font server, even if they are not installed on the
remote computer.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --with-default-font-path=%{fontpath} --disable-devel-docs

%make configdir=%{_sysconfdir}/X11/fs

%install
rm -rf %{buildroot}
%makeinstall_std configdir=%{_sysconfdir}/X11/fs

install -d 755 %{buildroot}%{fontpath}

# initscript
mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d/
install -m 0755 %{SOURCE1} %{buildroot}%{_sysconfdir}/rc.d/init.d/xfs
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/
install -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/xfs

# config
# remove the default
rm -f %{buildroot}%{_sysconfdir}/X11/fs/config
#install ours
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/X11/fs/config

# add backward compatibility link for /usr/lib/X11/fs (#23423)
install -d -m 755 %{buildroot}%{_libdir}/X11/
ln -s ../../../%{_sysconfdir}/X11/fs %{buildroot}%{_libdir}/X11/fs

%pre
%_pre_useradd xfs /etc/X11/fs /bin/false

# for msec high security levels
%_pre_groupadd xgrp xfs


%post
%_post_service xfs

# handle init sequence change
if [ -f /etc/rc5.d/S90xfs ] && grep -q 'chkconfig: 2345 20 10' /etc/init.d/xfs; then
	/sbin/chkconfig --add xfs
fi

if [ -f /etc/X11/fs/config.rpmsave ] ; then
mv /etc/X11/fs/config.rpmsave /etc/X11/fs/config
fi

if [ -f /etc/X11/fs/config.rpmnew ] ; then
mv /etc/X11/fs/config.rpmnew /etc/X11/fs/config
fi

%preun
%_preun_service xfs

%postun
%_postun_userdel xfs

%triggerpostun -- XFree86-xfs
%_post_service xfs
if [ ! -f /var/lock/subsys/xfs ]
then
  /sbin/service xfs start
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(-,xfs,xfs) %dir %{_sysconfdir}/X11/fs
%{_libdir}/X11/fs
%{_bindir}/xfs
%{_mandir}/man1/xfs.*
%attr(-,xfs,xfs) %config(noreplace) %{_sysconfdir}/X11/fs/config
%dir %{_sysconfdir}/X11/fontpath.d
%{_sysconfdir}/rc.d/init.d/xfs
%{_sysconfdir}/sysconfig/xfs



%changelog
* Sun Jan 23 2022 tex - 1.2.0-1pclos2022
- new version

* Tue Jul 11 2017 bb2 <bb2> - 1.1.4-2pclos2017
- rebuild against updates

* Thu Feb 12 2014 bb <bb> 1.1.4-1pclos2015
- update

* Tue May 31 2011 Texstar <texstar at gmail.com> 1.1.1-2pclos2011
- fix conf file during full upgrade

* Wed May 18 2011 Texstar <texstar at gmail.com> 1.1.1-1pclos2011
- update for new xorg server

